# This file is a template, and might need editing before it works on your project.
# To contribute improvements to CI/CD templates, please follow the Development guide at:
# https://docs.gitlab.com/ee/development/cicd/templates.html
# This specific template is located at:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Pages/Doxygen.gitlab-ci.yml

default:
  # Full project: https://gitlab.com/pages/doxygen
  image: alpine

before_script:
  - apk update
  - apk add doxygen
## Uncomment the following line if you use graphviz dot graphs
  - apk add ttf-freefont graphviz

test:
  script:
    - doxygen doxygen/Doxyfile
  rules:
    - if: $CI_COMMIT_BRANCH != $CI_DEFAULT_BRANCH

pages:
  script:
    - doxygen doxygen/Doxyfile
    - mv doxygen/documentation/html/ public/
  environment: production
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
